KCPOLYMGR(1)

NAME
kcpolymgr - command line interface to manage the polymorphic database

DESCRIPTION

The command `kcpolymgr' is a utility for test and debugging of the polymorphic database and its applications. `path' specifies the path of a database file. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input/output file. `src' specifies other database files.

    kcpolymgr create [-otr] [-onl|-otl|-onr] path
        Creates a database file.
    kcpolymgr inform [-onl|-otl|-onr] [-st] path
        Prints status information.
    kcpolymgr set [-onl|-otl|-onr] [-add|-app|-rep|-inci|-incd] [-sx] path key value
        Stores a record.
    kcpolymgr remove [-onl|-otl|-onr] [-sx] path key
        Removes a record.
    kcpolymgr get [-onl|-otl|-onr] [-rm] [-sx] [-px] [-pz] path key
        Prints the value of a record.
    kcpolymgr list [-onl|-otl|-onr] [-mp|-mr|-ms] [-des] [-max num] [-rm] [-sx] [-pv] [-px] path [key]
        Prints keys of all records, separated by line feeds.
    kcpolymgr clear [-onl|-otl|-onr] path
        Removes all records of a database.
    kcpolymgr import [-onl|-otl|-onr] [-sx] path [file]
        Imports records from a TSV file.
    kcpolymgr copy [-onl|-otl|-onr] path file
        Copies the whole database.
    kcpolymgr dump [-onl|-otl|-onr] path [file]
        Dumps records into a snapshot file.
    kcpolymgr load [-otr] [-onl|-otl|-onr] path [file]
        Loads records from a snapshot file.
    kcpolymgr merge [-onl|-otl|-onr] [-add|-app|-rep] path src...
        Merge records from other databases.
    kcpolymgr setbulk [-onl|-otl|-onr] path key value ...
        Store records at once.
    kcpolymgr removebulk [-onl|-otl|-onr] [-sx] path key ...
        Remove records at once.
    kcpolymgr getbulk [-onl|-otl|-onr] [-sx] [-px] path key ...
        Retrieve records at once.
    kcpolymgr check [-onl|-otl|-onr] path
        Checks consistency.

Options feature the following.

    -otr : opens the database with the truncation option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -st : prints miscellaneous information.
    -add : performs adding operation.
    -app : performs appending operation.
    -rep : performs replacing operation.
    -inci : performs integer increment operation.
    -incd : performs real number increment operation.
    -sx : the input data is evaluated as a hexadecimal data string.
    -rm : removes the record.
    -px : the output data is converted into a hexadecimal data string.
    -pz : performs not append line feed at the end of the output.
    -mp : performs prefix matching instead of usual scan.
    -mr : performs regular expression matching instead of usual scan.
    -ms : performs similar matching instead of usual scan.
    -des : visits records in descending order.
    -max num : specifies the maximum number of shown records.
    -pv : prints values of records also.

This command returns 0 on success, another on failure.

SEE ALSO

kcpolytest(1), kclangctest(1)